VM Creator
===========

Just another ansible tool that automates a VM creation whit multipass.

It reinforces the lauching of a manual script like this one::

    multipass launch 24.04 --name XXX --cpus 8 --disk 100G  -m 30G --cloud-init cloud-init.yaml

Because this script has dependencies. it needs:

- a cloud init file
- an ssh key
- a cloud init file 

.. important:: Needs to be root to do such a thing

launch
---------

::

    ./create_vm.sh

Besides generating the VM, it generates:

- an inventory in YAML format
- a dedicated ssh key 


usage
--------

verify that the `testvm` VM is ready, launch this command in a terminal::

    multipass list | grep testvm

example output::

    multipass list | grep testvm
    testvm  Running  10.190.208.122  Ubuntu 24.04 LTS


